package com.ruoyi.bst.app.mapper;

import com.ruoyi.bst.app.domain.App;
import com.ruoyi.bst.app.domain.AppQuery;
import com.ruoyi.bst.app.domain.AppVO;
import com.ruoyi.bst.app.domain.vo.AppAllVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * APP信息Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-08
 */
public interface AppMapper
{
    /**
     * 查询APP信息
     *
     * @param id APP信息主键
     * @return APP信息
     */
    AppVO selectAppById(Long id);

    /**
     * 查询APP信息列表
     *
     * @param query APP信息
     * @return APP信息集合
     */
    List<AppVO> selectAppList(@Param("query")AppQuery query);

    /**
     * 新增APP信息
     *
     * @param app APP信息
     * @return 结果
     */
    int insertApp(App app);

    /**
     * 修改APP信息
     *
     * @param app APP信息
     * @return 结果
     */
    public int updateApp(@Param("data") App app);

    /**
     * 删除APP信息
     *
     * @param id APP信息主键
     * @return 结果
     */
    int deleteAppById(Long id);

    /**
     * 批量删除APP信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppByIds(Long[] ids);

    /**
     * 查询所有APP信息
     * @return
     */
    List<AppAllVO> selectAllList();
}
